#' GMLAbstractCurve
#'
#' @docType class
#' @importFrom R6 R6Class
#' @export
#' @keywords ISO GML Curve
#' @return Object of \code{\link{R6Class}} for modelling an GML abstract curve
#' @format \code{\link{R6Class}} object.
#'
#' @section Methods:
#' \describe{
#'  \item{\code{new(xml, sfg)}}{
#'    This method is used to instantiate a GML abstract curve
#'  }
#' }
#' 
#' @note Experimental
#' 
#' @references 
#'   ISO 19136:2007 Geographic Information -- Geographic Markup Language.
#'   http://www.iso.org/iso/iso_catalogue/catalogue_tc/catalogue_detail.htm?csnumber=32554 
#'   
#'   OGC Geography Markup Language. http://www.opengeospatial.org/standards/gml
#' 
#' @author Emmanuel Blondel <emmanuel.blondel1@@gmail.com>
#'
GMLAbstractCurve <- R6Class("GMLAbstractCurve",
   inherit = GMLAbstractGeometricPrimitive,
   private = list(
     xmlElement = "AbstractCurve",
     xmlNamespacePrefix = "GML"
   )
)