% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ISOFeatureCatalogueDescription.R
\docType{class}
\name{ISOFeatureCatalogueDescription}
\alias{ISOFeatureCatalogueDescription}
\title{ISOFeatureCatalogueDescription}
\format{
\code{\link{R6Class}} object.
}
\value{
Object of \code{\link{R6Class}} for modelling an ISOFeatureCatalogue
}
\description{
ISOFeatureCatalogueDescription
}
\section{Fields}{

\describe{
\item{\code{complianceCode}}{[\code{\link{logical}}]}

\item{\code{language}}{[\code{\link{ISOLanguage}}]}

\item{\code{includedWithDataset}}{[\code{\link{logical}}]}

\item{\code{featureCatalogueCitation}}{[\code{\link{ISOCitation}}]}
}}

\section{Methods}{

\describe{
 \item{\code{new(xml)}}{
   This method is used to instantiate an \code{\link{ISOFeatureCatalogueDescription}}
 }
 \item{\code{setComplianceCode(compliance)}}{
   Sets the compliance. TRUE if compliant, FALSE otherwise
 }
 \item{\code{addLanguage(lang)}}{
   Adds a language
 }
 \item{\code{delLanguage(lang)}}{
   Deletes a language
 }
 \item{\code{setIncludedWithDataset(include)}}{
   Sets TRUE if included with dataset, FALSE otherwise
 }
 \item{\code{addFeatureCatalogueCitation(citation, uuid)}}{
  Adds an object of class \code{\link{ISOCitation}} referencing the link
  to Feature Catalogue
 }
 \item{\code{delFeatureCatalogueCitation(citation, uuid)}}{
  Deletes an object of class \code{\link{ISOCitation}} referencing the link
  to Feature Catalogue
 }
}
}

\examples{
  md <- ISOFeatureCatalogueDescription$new()
  md$setComplianceCode(FALSE)
  md$addLanguage("eng")
  md$setIncludedWithDataset(FALSE)
  
  cit = ISOCitation$new()
  contact = ISOContact$new()
  fcLink <- ISOOnlineResource$new()
  fcLink$setLinkage("http://somelink/featurecatalogue")
  contact$setOnlineResource(fcLink)
  rp = ISOResponsibleParty$new()
  rp$setContactInfo(contact)
  cit$setCitedResponsibleParty(rp)
  md$addFeatureCatalogueCitation(cit)
 
}
\references{
ISO 19115:2003 - Geographic information -- Metadata
}
\author{
Emmanuel Blondel <emmanuel.blondel1@gmail.com>
}
\keyword{ISO}
\keyword{catalogue}
\keyword{description}
\keyword{feature}
